Subject: Re: BUG or not? GFP_KERNEL with interrupts disabled.

From: "David S. Miller" <[email-masked]>
Date: Thu, 27 Mar 2003 10:07:00 -0800 (PST)

From: Linus Torvalds <[email-masked]>
   Date: Thu, 27 Mar 2003 10:04:52 -0800 (PST)

   I'd suggest making it a counting warning (with a static counter per
   local-bh-enable macro expansion) and adding it to local_bh_enable() -
   otherwise it will only BUG()  when the (potentially rare) condition
   happens - instead of always giving a nice backtrace of exact problem 
   spots.

Ok, maybe it's time to move local_bh_enable() out of line, it's
getting large and it's expanded in hundreds of places.